using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SmallBasic.Library;

namespace CotacoesBovespa
{
    /// <summary>
    /// Obtem cotao dos ativos da Bovespa
    /// </summary>
    [SmallBasicType]
    public class CotacoesBovespa
    {
        /// <summary>
        /// Obter cotao do Ativo
        /// </summary>
        /// <param name="Data">Data em formato DD/MM/YYYY</param>
        /// <param name="Ativo">Codigo de Negociao</param>
        /// <returns>Valor da cotao</returns>
        public static Primitive obterCotacao(Primitive Data, Primitive Ativo) {

            string site = "http://www.melfi.com.br";
            string url = site + "/finance/smallbasic_cotacoes.php?data=" + Data + "&ativo=" + Ativo;
            Primitive Retorno = "Sem Cotao";
            Retorno = Network.GetWebPageContents(url);
            return Retorno;
        
        }
    }
}
